Get Adobe Flash player

Categorías

Etiquetas

qTranslate en WordPress 3.8 o superior

La verdad es que hace un tiempo, qTranslate tardaba un máximo de 2 semanas en actualizarse desde que salía una nueva actualización de WordPress.

Pero por lo visto, tienen otras cosas más importantes que hacer últimamente, porque pasan las semanas y sigue sin actualizarse … Vamos por la versión 4.0 de WordPress, y ahora mismo la última disponible en la página oficial es la 3.8.1.

Como todos los que utilizamos el plugin sabemos, de vez en cuando entras para añadir o editar páginas o entradas y te encuentras con la sorpresa de que está todo desmontado. Yo no sé para qué les pago !!!!    😀

Fue costoso, pero al final lo dí con la solución. Por lo visto en un problema de hooks.

La solución es tan sencilla, como machacar >>estos 3 archivos<< php de wp-content/plugins/qtranslate que hacen que se arreglen los hooks, y decirle a su php principal “qtranslate.php”, la versión de WordPress que estás utilizando. Por ejemplo, yo ahora tengo la 4.0, pues en el qtranslate.php pongo esto:

define(‘QT_SUPPORTED_WP_VERSION’, ‘4.0’);

si tienes la 3.9.1, pues ahí pones 3.9.1, así de fácil.

Ya digo, llevo varias versiones haciendo esto, y a día de hoy, sigue dándome la solución.

 

Esto es gratis. Agradecer con un comentario, provoca que la web se posicione mejor en los buscadores, y que otros que como tú buscan la solución a un problema, den con ella…

9 comentarios para “qTranslate en WordPress 3.8 o superior”

Deja un comentario

(Spamcheck Enabled)